ISALNUM(3)

NAME
isalnum - alphanumeric character test

SYNOPSIS
#include <ctype.h>
int
isalnum(int c);

DESCRIPTION
The isalnum() function tests for any character for which isalpha(3) or isdigit(3) is true.

RETURN VALUES
The isalnum() function returns zero if the character tests false or non-zero if the character tests true.

SEE ALSO
isalpha(3), isascii(3), isblank(3), iscntrl(3), isdigit(3), isgraph(3), islower(3), isprint(3), ispunct(3), isspace(3), isupper(3), isxdigit(3), stdio(3), toascii(3), tolower(3), toupper(3), ascii(7)

STANDARDS
The isalnum() function conforms to ansiC.

HISTORY
The isalnum() function first appeared in AT&T UNIX.

CAVEATS
The argument to isalnum() must be EOF or representable as an unsigned char; otherwise, the result is undefined.